#include <stdio.h>
#include <vector>
int main(){
long long x,y;
scanf("%lli%lli" ,&x ,&y);
int i=0;
std::vector <char> niz;
while(x>0 || y>0){ 
if(x==0)
niz.push_back(y%10);
else if(y==0)
niz.push_back(x%10);
else if(x%10>y%10)    
niz.push_back(x%10);
else if(y%10>x%10)
niz.push_back(y%10);
else{
niz.push_back(x%10);
niz.push_back(x%10);
i++;
}
i++;
x=x/10;
y=y/10;
}
for(int j=i-1;j>=0;j--)
printf("%i" ,niz[j]);
    return 0;
}